/* File name     : intreg.h
 * Creation date : September 1993
 * Author        : Y.Yasu, Online group, Physics department, KEK
 */

#define  INTREG_ADDR 0x8F00
#define  INTREG_SIZE 16
#define  INTREG_VECTOR0 0xF0
#define  INTREG_VECTOR1 0xF1
#define  INTREG_VECTOR2 0xF2
#define  INTREG_VECTOR3 0xF3
#define  INTREG_VECTOR4 0xF4
#define  INTREG_VECTOR5 0xF5
#define  INTREG_VECTOR6 0xF6
#define  INTREG_VECTOR7 0xF7
#define  INTREG_VECTOR8 0xF8
#define  INTREG_VECTOR9 0xF9

struct intreg {
    unsigned short latch[2];
    unsigned short flipflop;
    unsigned short in;
    unsigned short pulse;
    unsigned short out;
    unsigned short csr[2];
};
