/* File name     : vme_common.h
 * Creation date : September 1993
 * Author        : Y.Yasu, Online group, Physics department, KEK
 * Modified      : August 1994, Y.Yasu
 *               : For HP-RT
 */

struct vmecmd {
    int intrno;
    int data;
    int reply1;
    int reply2;
};

struct vmedmacmd {
    unsigned int vme_address;
    unsigned int vme_mode;
};

#define VMEIOC_INTINIT     1
#define VMEIOC_INTOPEN     2
#define VMEIOC_INTCLOSE    3
#define VMEIOC_INTENABLE   4
#define VMEIOC_INTDISABLE  5
#define VMEIOC_INTWAIT     6
#define VMEIOC_INTNOWAIT   7
#define VMEIOC_INTCLEAR    8
#define VMEIOC_INTCHECK    9

#define VME_A16D16MODE 1
#define VME_A16D32MODE 2
#define VME_A24D16MODE 3
#define VME_A32D32MODE 4
#define VME_A32D16MODE 5
#define VME_A24D32MODE 6
#define VME_A32D32BLTMODE 7
#define VME_A32D64BLTMODE 8
