/* File name     : intreg1.c
 * Creation date : September 1994
 * Author        : Y.Yasu, Online group, Physics department, KEK
 */

#include <stdio.h>
#include <shmmap.h>
#include <sys/types.h>
#include "vmelib.h"
#include "intreg.h"
#define INTREG_VECTOR INTREG_VECTOR0

volatile struct intreg *mm;
extern errno;

main(argc, argv)
int argc;
char **argv;
{
    int i, j;
    volatile caddr_t vme_addr;
    int loop,bit;
    int status, intrno, intcount;

    if (argc>1) bit = atoi(argv[1]);
    else        bit = 0;

    vme_addr = (volatile caddr_t)vme_mapopen(VME_A16D16MODE, INTREG_ADDR,
                                             INTREG_SIZE);
    if (vme_addr == (volatile caddr_t)-1 ) {
        printf("intreg cannot open! \n");
        exit(1);
    }

    mm = (volatile struct intreg *)vme_addr;
    printf("address = %x\n", mm);

    /* display contents of registers... */
    printf("Latch 0 = %4X\n",mm->latch[0] & 0xFF);
    printf("Latch 1 = %4X\n",mm->latch[1] & 0xFF);
    printf("in      = %4X\n",mm->in & 0xFF);
    printf("csr 0   = %4X\n",mm->csr[0] & 0xFF);
    printf("csr 1   = %4X\n",mm->csr[1] & 0xFF);

}


